# Linea eth_getProof

> Get Merkle proof on Linea.

# `eth_getProof`

<Description />

## Parameters

- `address`: A string representing the address (20 bytes) to check for balance.
- `storageKeys`: An array of 32-byte storage keys to be proofed and included.
- `blockParameter`: (string) A hexadecimal block number, or one of the tags `latest`, `earliest`, `pending` or `finalized`. See the [default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block).
  :::warning
  `safe` isn't supported. Use `finalized` instead.
  Learn more about [Linea's layer 2 finalization](https://docs.linea.build/developers/guides/finalized-block).
  :::

## Returns

<Returns />

## Example

<Example />

### Request

<Tabs>
  <TabItem value="curl">

```bash
curl https://linea-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc": "2.0","method": "eth_getProof","id": 1,"params": ["0x7F0d15C7FAae65896648C8273B6d7E43f58Fa842", ["0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"], "latest"]}'
```

  </TabItem>
  <TabItem value="WSS">

```bash
wscat -c wss://linea-mainnet.infura.io/ws/v3/<YOUR-API-KEY> -x '{"jsonrpc":"2.0","method":"eth_getProof","params": ["0x7F0d15C7FAae65896648C8273B6d7E43f58Fa842", ["0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"], "latest"],"id":1}'
```

  </TabItem>
</Tabs>

### Response

<Response />
